<?php

/*
Plugin Name: Featured Posts with Custom Excerpt
Plugin URI: http://www.prowebdesign.ro/
Description: A widget that lists your posts from given category with excerpts. The number of posts and category is configurable; Excerpts are taken from Excerpt field of each post - they should be set for each post to be displayed.
Version: 1.0
Author: prowebdesign.ro
Author URI: http://www.prowebdesign.ro/
License: GPLv2
License URI: http://www.gnu.org/licenses/gpl-2.0.html

Copyright 2013  prowebdesign.ro  (email : ofice@prowebdesign.ro)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/
 
 
class FeaturedPostWithCustomExcerpt extends WP_Widget
{
  function FeaturedPostWithCustomExcerpt()
  {
    $widget_ops = array('classname' => 'FeaturedPostWithCustomExcerpt', 'description' => 'Widget will diplay the excerpt which you set on post\'s page in custom excerpt field.' );
    $this->WP_Widget('FeaturedPostWithCustomExcerpt', 'Featured post with custom excerpt', $widget_ops);
  }
 
  function form($instance)
  {
    // Check values
if( $instance) {
     $title = esc_attr($instance['title']);
     $category = esc_attr($instance['category']);
	 $numposts = esc_attr($instance['numposts']);
} else {
     $title = '';
     $category = '';
	 $numposts = '';
}
?>



<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('Widget Title', 'wp_widget_plugin'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
</p>

<p>
<label for="<?php echo $this->get_field_id('category'); ?>"><?php _e('Category:', 'wp_widget_plugin'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('category'); ?>" name="<?php echo $this->get_field_name('category'); ?>" type="text" value="<?php echo $category; ?>" />
</p>

<p>
<label for="<?php echo $this->get_field_id('numposts'); ?>"><?php _e('Number of posts:', 'wp_widget_plugin'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('numposts'); ?>" name="<?php echo $this->get_field_name('numposts'); ?>" type="text" value="<?php echo $numposts; ?>" />
</p>

<?php
  }
 
  function update($new_instance, $old_instance)
  {
    $instance = $old_instance;
    $instance['title'] = $new_instance['title'];
	$instance['category'] = $new_instance['category'];
	$instance['numposts'] = $new_instance['numposts'];
    return $instance;
  }
 
  function widget($args, $instance)
  {
    extract($args, EXTR_SKIP);
 
    echo $before_widget;
    $title = empty($instance['title']) ? ' ' : apply_filters('widget_title', $instance['title']);
 
    if (!empty($title))
      echo $before_title . $title . $after_title;
 
    // WIDGET CODE GOES HERE
	
global $post;
$mycateg = $instance['category'];
$mynumposts = $instance['numposts'];
$args = array( 'numberposts' => $mynumposts,  'category' => $mycateg );
$myposts = get_posts( $args );
foreach( $myposts as $post ) :	setup_postdata($post); ?>
	<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
<?php 
the_excerpt();
endforeach; 


 
    echo $after_widget;
  }
 
}
add_action( 'widgets_init', create_function('', 'return register_widget("FeaturedPostWithCustomExcerpt");') );
?>